
QGIS Application - Bug report #1697

Does not install on vista 64

2009-05-14 07:49 AM - tomd -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 11757

Description

Just tried installing the latest version on vista 64 and it fails to install.

History

#1 - 2009-07-13 04:56 AM - Giovanni Manghi

Can you be more precise? error message? standalone installer or osgwo4w? version?

I wonder if the problem is the same of #1766

Please leave more feedback.

#2 - 2009-07-19 02:15 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to wontfix

Closing for lack of feedback, but please reopen if necessary, it would not be easy to find a windows 64 bit installation where to make tests.

#3 - 2010-06-22 11:21 AM - spatialminds -

- Status changed from Closed to Feedback

- Resolution deleted (wontfix)

Tested against the current 1.0.2 LTS version.

Yes, this is the same as bug #1766.  The description in 1766 is exactly what happens.

Installer runs, looks normal, but the status messages show "skipped" for every component and when finished nothing is installed except the shortcut on the

desktop (which points to nothing).

There are no error dialogs, other than the "Skipped..." messages shown during the install.

I'd be happy to provide any feedback you might need.

#4 - 2010-06-22 11:24 AM - Giovanni Manghi
did you run the installer as "administrator"?

#5 - 2010-06-22 11:25 AM - Giovanni Manghi

can you also test the osgeo4w installer? thanks

by the way... the osgeo4w installer will install also qgis 1.4/1.5 you can consider the 1.0.2 obsolete.

#6 - 2010-06-22 11:31 AM - spatialminds -

No, I didn't run the installer as Administrator.  I'll give it a try and post back.

I am a developer, and would prefer to not install the entire osgeo4w package.  I have my own version of GDAL dll, PROJ dll, etc that I don't want to get

confused with the osgeo versions.  I was hoping the standalone QGIS installer would install everything in it's own folder and programatically set the

environment variables so as to not stomp on my dev environment.

#7 - 2010-06-22 11:33 AM - spatialminds -

FYI... Version 1.0.2 is what is made available on the QGIS Download page.

#8 - 2010-06-22 11:34 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to wontfix

Please use 1.4 or 1.5 installer. 1.0 is no longer supported, and will be dropped soon.

BTW, OSGeo4W AFAIK installs everything in a single folder, not messing up with anything.

#9 - 2010-06-22 11:36 AM - Giovanni Manghi

Replying to [comment:7 spatialminds]:

No, I didn't run the installer as Administrator.  I'll give it a try and post back.

I am a developer, and would prefer to not install the entire osgeo4w package.  I have my own version of GDAL dll, PROJ dll, etc that I don't want to

get confused with the osgeo versions.  I was hoping the standalone QGIS installer would install everything in it's own folder and programatically set

the environment variables so as to not stomp on my dev environment.

gdal/proj/python/pyhton libraries installed via osgeo4w do not interfere in any way with the same packages installed in other ways or trough other software.

#10 - 2010-06-22 11:38 AM - Giovanni Manghi

Replying to [comment:8 spatialminds]:

FYI... Version 1.0.2 is what is made available on the QGIS Download page.
yes I know, but it is still obsolete. The number of features added and bug fixed in 1.4 (and then in 1.5) is countless. Without taking in account the very cool

plugins that need 1.4/1.5 to run.

#11 - 2010-06-22 11:46 AM - spatialminds -

It works when "Run As Administrator" is selected for the installer instead of running it as a regular Administrator user.  The installer doesn't elevate

priviledges on its own.

I didn't mean to sound argumentative.  I thought perhaps you weren't unaware that the website points to the incorrect Long Term Support version.

I'll consider trying the newer version.

#12 - 2010-06-22 11:47 AM - spatialminds -

"Weren't aware..." not "Weren't unaware..."  :)
